/*! For license information please see 8384.53877c3d.js.LICENSE.txt */
(self.webpackChunk=self.webpackChunk||[]).push([["8384"],{84689:function(n,t,d){"use strict";d.r(t);var a=d("80681");let s=["innerHTML"];t.default={setup:()=>({html:""}),render:()=>((0,a.wg)(),(0,a.iD)("div",{class:"van-doc-markdown-body",innerHTML:'<h1>Internationalization</h1>\n<div class="van-doc-card"><h3 id="intro" tabindex="-1">Intro</h3>\n<p>Vant uses Chinese as the default language. If you want to use other languages, please follow the instructions below.</p>\n</div><h2 id="usage" tabindex="-1">Usage</h2>\n<div class="van-doc-card"><h3 id="switch-languages" tabindex="-1">Switch languages</h3>\n<p>Vant supports multiple languages with the Locale component, and the <code>Locale.use</code> method allows you to switch to different languages.</p>\n<pre><code class="language-js"><span class="hljs-keyword">import</span> { <span class="hljs-title class_">Locale</span> } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;vant&#x27;</span>;\n<span class="hljs-keyword">import</span> enUS <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;vant/es/locale/lang/en-US&#x27;</span>;\n\n<span class="hljs-title class_">Locale</span>.<span class="hljs-title function_">use</span>(<span class="hljs-string">&#x27;en-US&#x27;</span>, enUS);\n</code></pre>\n</div><div class="van-doc-card"><h3 id="override-default-configs" tabindex="-1">Override default configs</h3>\n<p>Use <code>Locale.add</code> method to modify the default configs.</p>\n<pre><code class="language-js"><span class="hljs-keyword">import</span> { <span class="hljs-title class_">Locale</span> } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;vant&#x27;</span>;\n\n<span class="hljs-keyword">const</span> messages = {\n  <span class="hljs-string">&#x27;en-US&#x27;</span>: {\n    <span class="hljs-attr">vanPicker</span>: {\n      <span class="hljs-attr">confirm</span>: <span class="hljs-string">&#x27;Close&#x27;</span>,\n    },\n  },\n};\n\n<span class="hljs-title class_">Locale</span>.<span class="hljs-title function_">add</span>(messages);\n</code></pre>\n</div><div class="van-doc-card"><h3 id="config-files" tabindex="-1">Config files</h3>\n<p>Current supported languages:</p>\n<table>\n<thead>\n<tr>\n<th>Language</th>\n<th>Filename</th>\n<th>Version</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>Arabic</td>\n<td>ar-SA</td>\n<td><code>v3.5.0</code></td>\n</tr>\n<tr>\n<td>Bulgarian</td>\n<td>bg-BG</td>\n<td><code>v3.5.0</code></td>\n</tr>\n<tr>\n<td>Bangla (Bangladesh)</td>\n<td>bn-BD</td>\n<td><code>v3.4.5</code></td>\n</tr>\n<tr>\n<td>Danish</td>\n<td>da-DK</td>\n<td><code>v3.4.8</code></td>\n</tr>\n<tr>\n<td>German</td>\n<td>de-DE</td>\n<td>-</td>\n</tr>\n<tr>\n<td>German (formal)</td>\n<td>de-DE-formal</td>\n<td>-</td>\n</tr>\n<tr>\n<td>Greek</td>\n<td>el-GR</td>\n<td><code>v3.5.0</code></td>\n</tr>\n<tr>\n<td>English</td>\n<td>en-US</td>\n<td>-</td>\n</tr>\n<tr>\n<td>Esperanto</td>\n<td>eo-EO</td>\n<td><code>v4.0.9</code></td>\n</tr>\n<tr>\n<td>Spanish (Spain)</td>\n<td>es-ES</td>\n<td>-</td>\n</tr>\n<tr>\n<td>Farsi</td>\n<td>fa-IR</td>\n<td><code>v3.5.0</code></td>\n</tr>\n<tr>\n<td>French</td>\n<td>fr-FR</td>\n<td>-</td>\n</tr>\n<tr>\n<td>Hebrew</td>\n<td>he-IL</td>\n<td><code>v3.5.0</code></td>\n</tr>\n<tr>\n<td>Hindi</td>\n<td>hi-IN</td>\n<td><code>v3.4.3</code></td>\n</tr>\n<tr>\n<td>Indonesian</td>\n<td>id-ID</td>\n<td><code>v3.4.5</code></td>\n</tr>\n<tr>\n<td>Icelandic</td>\n<td>is-IS</td>\n<td><code>v3.4.7</code></td>\n</tr>\n<tr>\n<td>Italian</td>\n<td>it-IT</td>\n<td><code>v3.4.5</code></td>\n</tr>\n<tr>\n<td>Japanese</td>\n<td>ja-JP</td>\n<td>-</td>\n</tr>\n<tr>\n<td>Khmer</td>\n<td>km-KH</td>\n<td><code>v4.1.2</code></td>\n</tr>\n<tr>\n<td>Korean</td>\n<td>ko-KR</td>\n<td><code>v3.4.3</code></td>\n</tr>\n<tr>\n<td>Lao</td>\n<td>la-LA</td>\n<td><code>v3.4.7</code></td>\n</tr>\n<tr>\n<td>Mongolian</td>\n<td>mm-MN</td>\n<td><code>v4.0.5</code></td>\n</tr>\n<tr>\n<td>Norwegian</td>\n<td>nb-NO</td>\n<td>-</td>\n</tr>\n<tr>\n<td>Dutch</td>\n<td>nl-NL</td>\n<td><code>v4.0.5</code></td>\n</tr>\n<tr>\n<td>Portuguese (Brazil)</td>\n<td>pt-BR</td>\n<td><code>v3.3.3</code></td>\n</tr>\n<tr>\n<td>Romanian</td>\n<td>ro-RO</td>\n<td>-</td>\n</tr>\n<tr>\n<td>Russian</td>\n<td>ru-RU</td>\n<td><code>v3.1.5</code></td>\n</tr>\n<tr>\n<td>Serbian</td>\n<td>sr-RS</td>\n<td><code>v4.6.4</code></td>\n</tr>\n<tr>\n<td>Swedish</td>\n<td>sv-SE</td>\n<td><code>v3.4.7</code></td>\n</tr>\n<tr>\n<td>Thai</td>\n<td>th-TH</td>\n<td>-</td>\n</tr>\n<tr>\n<td>Turkish</td>\n<td>tr-TR</td>\n<td>-</td>\n</tr>\n<tr>\n<td>Ukrainian</td>\n<td>uk-UA</td>\n<td><code>v3.4.5</code></td>\n</tr>\n<tr>\n<td>Vietnamese</td>\n<td>vi-VN</td>\n<td><code>v3.4.5</code></td>\n</tr>\n<tr>\n<td>Chinese</td>\n<td>zh-CN</td>\n<td>-</td>\n</tr>\n<tr>\n<td>Traditional Chinese (HK)</td>\n<td>zh-HK</td>\n<td>-</td>\n</tr>\n<tr>\n<td>Traditional Chinese (TW)</td>\n<td>zh-TW</td>\n<td>-</td>\n</tr>\n</tbody>\n</table>\n<blockquote>\n<p>View all language configs <a href="https://github.com/vant-ui/vant/tree/main/packages/vant/src/locale/lang" target="_blank">Here</a>.</p>\n</blockquote>\n</div><div class="van-doc-card"><h3 id="add-new-language" tabindex="-1">Add new language</h3>\n<p>If you can\u2019t find the language you need, please send us a Pull Request to add the new language pack, you can refer to <a href="https://github.com/vant-ui/vant/pull/7245" target="_blank">Add German language pack</a> PR.</p>\n</div><div class="van-doc-card"><h3 id="get-current-lang" tabindex="-1">Get Current Lang</h3>\n<p>You can get the current language using <code>useCurrentLang</code> method.</p>\n<ul>\n<li><strong>Type:</strong></li>\n</ul>\n<pre><code class="language-ts"><span class="hljs-keyword">function</span> <span class="hljs-title function_">useCurrentLang</span>(<span class="hljs-params"></span>): <span class="hljs-title class_">Ref</span>&lt;<span class="hljs-built_in">string</span>&gt;;\n</code></pre>\n<ul>\n<li><strong>Example:</strong></li>\n</ul>\n<pre><code class="language-ts"><span class="hljs-keyword">import</span> { useCurrentLang } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;vant&#x27;</span>;\n\n<span class="hljs-keyword">const</span> currentLang = <span class="hljs-title function_">useCurrentLang</span>();\n\n<span class="hljs-variable language_">console</span>.<span class="hljs-title function_">log</span>(currentLang.<span class="hljs-property">value</span>); <span class="hljs-comment">// --&gt; &#x27;en-US&#x27;</span>\n</code></pre>\n</div>'},null,8,s))}}}]);